<?php
session_start();
date_default_timezone_set('America/Lima');
$y=date('Y');
$m=date('m');
$d=date('d');

$fec1="$d-$m-$y";
$fec2="$d-$m-$y";

?>

<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-12">
		    <div class="card">
		        <div class="card-header">
    		<div class="row">
			
					
						<form id="for_fil_his" action="POST">
							
							<div class="row">
							
							
				<div class=" col-lg-2 col-6 form-group">
                  <label>Fecha 1:</label>

                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
                    </div>
                    <input name="txt_fil_his_fec1" type="text" id="txt_fil_his_fec1" value="<?php echo $fec1 ?>" class="form-control" >
                  </div>
                </div>
				
				<div class=" col-lg-2 col-6 form-group">
                  <label>Fecha 2:</label>

                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
                    </div>
                    <input name="txt_fil_his_fec2" type="text" id="txt_fil_his_fec2" value="<?php echo $fec2 ?>" class="form-control" >
                  </div>
                </div>
				
							
							<div class="col-lg-2 col-6">
								<label>Serie/Numero:</label>
								<input type="text" id="txt_fil_docnum" name="txt_fil_docnum" class="form-control  input-sm" /> 
							</div>
							
							<div class="col-lg-4 col-6">
								<label>Usuario:</label>
								<input type="hidden" id="hdd_fil_usu_id" name="hdd_fil_usu_id" />
								<input type="text" id="txt_fil_usu" name="txt_fil_usu" class="form-control  input-sm" /> 
							</div>

							<div  class="col-lg-2 col-sm-5 col-12" style="display: inline-block; white-space: nowrap;padding-top:30px;" >					
									<span onClick="historial_tabla()" style="cursor:pointer" class="btn btn-primary"><i class="fas fa-search"></i></span>									
									<span onClick="historial_filtro()" style="cursor:pointer" class="btn btn-default">RESTABLECER</span>																
							</div> 
							
							
							</div> 
							
						</form>	
						
					</div>
				</div>
			</div>
		</div>
	</div>
	</div>
</section>

<script type="text/javascript">


	
	
	$(function(){

	
	historial_tabla();
		
		
	$('#txt_fil_his_fec1, #txt_fil_his_fec2').datepicker({
			format: 'dd-mm-yyyy',
			autoclose:true
		}).on('changeDate', function(e){
			//venta_tabla();
		}); 
		


	$("#txt_fil_usu" ).autocomplete({
	minLength: 1,
	source: "../cliente/cliente_complete_nom.php",
	select: function(event, ui){
		$("#hdd_fil_usu_id").val(ui.item.id);		
		historial_tabla();		
		}
	});

	
	$("#txt_fil_usu").change(function(){
	var cli=$("#txt_fil_usu").val();
	if(cli=="")$("#hdd_fil_usu_id").val('');
	});
	
	$('#txt_fil_docnum').change(function(e) {
	//venta_tabla();
	});
	
	$("#txt_fil_usu").focus();

});	
</script>
